Mailrelay API Reference

Lists API batches

GET https://{account}/api/v1/api_batches

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

You can use API batches to process multiple API requests in a single request. You can specify up to 500 operations in the same batch.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 1000.

Parameters

NameTypeRequiredDescription
page integer No Page number
per_page integer No Number of records per page
q[id_eq] integer No Search: Id equals
q[id_gteq] integer No Search: Id greater than or equal to
q[id_lteq] integer No Search: Id less than or equal to
q[status_eq] string No Search: Status equals
q[status_cont] string No Search: Status contains
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "id desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer Id
callback_url string A URL that will be called when the api batch is processed. A POST request will be sent to this URL with a JSON payload containing the ID of the API batch.
status string Status
finished_at string Finished at
operations array Operations

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.